# Constant Field Values

## Contents

- org.jCharts.*

## org.jCharts.*

org.jCharts.encoders.JPEGEncoder
Modifier and Type
Constant Field
Value
`private static final String`
`JPEG`
`"jpeg"`
org.jCharts.encoders.PNGEncoder
Modifier and Type
Constant Field
Value
`private static final String`
`PNG`
`"png"`
org.jCharts.encoders.ServletEncoderHelper
Modifier and Type
Constant Field
Value
`public static final String`
`JPEG_MIME_TYPE`
`"image/jpeg"`
`public static final String`
`PNG_MIME_TYPE`
`"image/png"`
`public static final String`
`SVG_MIME_TYPE`
`"image/svg+xml"`

org.jCharts.properties.AxisTypeProperties
Modifier and Type
Constant Field
Value
`public static final int`
`GRID_LINES_ALL`
`1`
`public static final int`
`GRID_LINES_NONE`
`0`
`public static final int`
`GRID_LINES_ONLY_WITH_LABELS`
`2`
`public static final int`
`TICKS_ALL`
`1`
`public static final int`
`TICKS_NONE`
`0`
`public static final int`
`TICKS_ONLY_WITH_LABELS`
`2`
org.jCharts.properties.LegendAreaProperties
Modifier and Type
Constant Field
Value
`public static final int`
`BOTTOM`
`0`
`public static final int`
`COLUMNS_AS_MANY_AS_NEEDED`
`0`
`public static final int`
`COLUMNS_FIT_TO_IMAGE`
`-1`
`public static final int`
`LEFT`
`2`
`public static final int`
`RIGHT`
`1`
`public static final int`
`TOP`
`3`

org.jCharts.test.ChartTestDriver
Modifier and Type
Constant Field
Value
`static final String`
`EXTENSION`
`".png"`
`private static final String`
`JPEG`
`".jpg"`
`private static final String`
`JPEG_LEGACY`
`".jpeg"`
`static final String`
`OUTPUT_PATH`
`""`
`private static final String`
`PNG`
`".png"`
`private static final String`
`SVG`
`".svg"`